<?xml version="1.0" encoding="iso-8859-1"?>

<!--
module :
generation de la partie "prenom" de l'id

update: 
$Id$
fplod 2007-05-18T14:33:06Z aedon.locean-ipsl.upmc.fr (Darwin)
creation
cf http://www.dpawson.co.uk/xsl/sect2/N7998.html
There's a trick to this:

translate($x, translate($x, 'abcde', ''), '')

will remove all characters except a,b,c,d, and e from your string $x.
et String split into elements dans http://www.dpawson.co.uk/xsl/sect2/N7240.html
http://www.dpawson.co.uk/xsl/sect2/N7240.html
cf. http://www.dpawson.co.uk/xsl/sect2/N7240.html CRLF to BR
-->

<xsl:stylesheet
 id="id" version="1.0"
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template name="firstname_id">
 <xsl:param name="firstname"/>
 <xsl:choose>
  <xsl:when test="contains($firstname ,' ')">
   <xsl:call-template name="space_firstname" >
    <xsl:with-param name="text" select="$firstname"/>
   </xsl:call-template>
  </xsl:when>
  <xsl:when test="contains($firstname ,'-')">
   <xsl:call-template name="hyphen" >
    <xsl:with-param name="text" select="$firstname"/>
   </xsl:call-template>
  </xsl:when>
  <xsl:otherwise>
<xsl:value-of select="translate(substring($firstname,1,1), 'ABCDEFGHIJKLMNOPQRSTUVWXYZ_EECAUEONO','abcdefghijklmnopqrstuvwxyz ')"/>
  </xsl:otherwise>
 </xsl:choose>
</xsl:template>

<xsl:template name="space_firstname">
 <xsl:param name="text"/>
 <xsl:choose>
   <xsl:when test="contains($text, ' ')">
   <xsl:variable name="transform">
<xsl:value-of select="translate(substring(substring-before($text, ' '),1,1), 'ABCDEFGHIJKLMNOPQRSTUVWXYZ_EECAUEONO','abcdefghijklmnopqrstuvwxyz ')"/>
   </xsl:variable>
   <xsl:value-of select="$transform"/>
     <xsl:text>_</xsl:text>
     <xsl:call-template name="space_firstname">
       <xsl:with-param name="text" select="substring-after($text,' ')"/>
     </xsl:call-template>
   </xsl:when>
   <xsl:otherwise>
           <xsl:value-of select="translate(substring($text,1,1), 'ABCDEFGHIJKLMNOPQRSTUVWXYZ_EECAUEONO','abcdefghijklmnopqrstuvwxyz ')"/>
   </xsl:otherwise>
 </xsl:choose>
</xsl:template>
<xsl:template name="hyphen">
 <xsl:param name="text"/>
 <xsl:choose>
   <xsl:when test="contains($text, '-')">
   <xsl:variable name="transform">
<xsl:value-of select="translate(substring(substring-before($text, '-'),1,1), 'ABCDEFGHIJKLMNOPQRSTUVWXYZ_EECAUEONO','abcdefghijklmnopqrstuvwxyz ')"/>
   </xsl:variable>
   <xsl:value-of select="$transform"/>
     <xsl:text>-</xsl:text>
     <xsl:call-template name="hyphen">
       <xsl:with-param name="text" select="substring-after($text,'-')"/>
     </xsl:call-template>
   </xsl:when>
   <xsl:otherwise>
           <xsl:value-of select="translate(substring($text,1,1), 'ABCDEFGHIJKLMNOPQRSTUVWXYZ_EECAUEONO','abcdefghijklmnopqrstuvwxyz ')"/>
   </xsl:otherwise>
 </xsl:choose>
</xsl:template>
</xsl:stylesheet>
